#ifndef _GATECENTRAL_H_
#define _GATECENTRAL_H_

#include <stdio.h>
#include <pthread.h>

typedef struct gatec_config_t {
  struct gatec_gate_t *gates;
  struct gatec_user_t *users;
} gatec_config_t;

typedef struct gatec_gate_t {
  struct gatec_gate_t *next;
  int gate_id;
  int *allowed;
  int allowed_len;
} gatec_gate_t;

typedef struct gatec_user_t {
  struct gatec_user_t *next;
  int user_id;
  int pin;
} gatec_user_t;

typedef struct gatec_client_context_t {
  int terminated;
  int sock;
  FILE *sock_file;
  pthread_t threadid;
} gatec_client_context_t;

#endif /*_GATECENTRAL_H_*/
